﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        Color pozadina;
        Color linija;
        Graphics g;
        Pen olovka;
        int debljina;
        SolidBrush cetka;
        int pomeraj;
        int x1 = 0, y1 = 10, x2 = 100, y2 = 200;

        private void Form1_Load(object sender, EventArgs e)
        {
            g = CreateGraphics();
            pozadina = Color.Black;
            linija = Color.Blue;
            debljina = 3;
            olovka = new Pen(linija, debljina);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            g.Clear(Color.Red);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            g.Clear(pozadina);
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton1.Checked)
                g.Clear(Color.White);
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton2.Checked)
                g.Clear(Color.Yellow);
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton3.Checked)
                g.Clear(Color.Purple);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            
            if (textBox1.Text != "")
                x1 = int.Parse(textBox1.Text);
            if (textBox2.Text != "")
                y1 = int.Parse(textBox2.Text);
            if (textBox3.Text != "")
                x2 = int.Parse(textBox3.Text);
            if (textBox4.Text != "")
                y2 = int.Parse(textBox4.Text);
            g.DrawLine(olovka, x1, y1, x2, y2);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            colorDialog1.ShowDialog();
            linija = colorDialog1.Color;
            olovka.Color = linija;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            int a, b, c, d;
            a = x1; b = y1;
            c = x2; d = y2;

            if (textBox5.Text != "")
                pomeraj = int.Parse(textBox5.Text);
            else
                pomeraj = 5;

            while (b > 0 && d > 0) {
                g.DrawLine(olovka, a, b, c, d);
                b = b - pomeraj;
                d = d - pomeraj;
            }
        }
    }
}
